{% extends 'app/base.html' %}

{% block js %}
<script>
    function eliminarProducto(id){
        Swal.fire({
            "title":"¿Estas seguro?",
            "text":"esta accion no se puede deshacer",
            "icon":"question",
            "showCancelButton":true,
            "cancelButton":"No, Cancelar",
            "confirmButtonText":"Si, Eliminar",
            "reverseButtons":true,
            "confirmButtonColor":"#dc3545"
        })
        .then(function(result) {
            if(result.isConfirmed) {
                window.location.href = "/eliminar-producto/"+id+"/"
            }
        })
    }
</script>

{% endblock %}

{% block contenido %}
{% load humanize %}
<br>
<br>
<br>
<div class="card">
    <div class="card-body">
        <h2>Listado de productos</h2>
        <hr>
        <table class="table table-striped table-hover table-responsive-sm">
            <tr>
                <th>Nombre</th>
                <th>Precio</th>
                <th>Marca</th>
                <th>¿Es nuevo?</th>
                <th>Opciones</th>
                
            </tr>
        
        
            {% for p in entity %}
        
            <tr>
                <td>{{ p.nombre | title }}</td>
                <td>${{ p.precio | intcomma }}</td>
                <td>{{ p.marca | title }}</td>
                <td>
                    {% if p.nuevo %}
                    SI
                    {% else %}
                    NO
                    {% endif %}
                </td>
                <td>
                    {% if perms.app.change_producto %}
                  <a href="{% url 'modificar_producto' p.id %}" class="btn btn-info btn-sm">Modificar</a>
                  {% endif %}
                  {% if permd.app.delete_producto %}
                  <a href="#" onclick="eliminarProducto({{ p.id }})"  class="btn btn-danger btn-sm">Eliminar</a>
                  {% endif %}

    
                 
                </td>
            </tr>
            {% endfor %}
        </table>
        <hr>
        <div>
            {% include 'app/paginator.html' %}
        </div>
    </div>
</div>


{% endblock %}